/* eslint-disable */
"use strict";

let webpack = require("webpack"),
    path = require("path");

module.exports = {
    entry: [
        "webpack-hot-middleware/client",
        "./examples/index.js"
    ],
    output: {
        filename: "bundle.js",
        path: __dirname,
        sourceMapFileName: "./bundle.js.map",
        publicPath: "/static/"
    },
    module: {
        loaders: [
            {
                test: /\.js$/,
                loaders: ["babel"],
                include: [
                    path.resolve(__dirname, "src"),
                    path.resolve(__dirname, "examples")
                ]
            }
        ]
    },
    devtool: "source-map",
    resolve: {
        extensions: [ '', '.js', '.jsx' ],
        fallback: path.join(__dirname, "node_modules")
    },
    resolveLoader: {
        root: path.join(__dirname, "node_modules")
    },
    plugins: [
        new webpack.HotModuleReplacementPlugin(),
        new webpack.NoErrorsPlugin()
    ]
};
