/* eslint-disable */
"use strict";

let path = require('path');
let express = require('express');
let webpack = require('webpack');
let config = require('./examples.config');

let app = express();
let compiler = webpack(config);

app.use(require('webpack-dev-middleware')(compiler, {
    noInfo: true,
    publicPath: config.output.publicPath
}));

app.use(express.static(__dirname));

app.use(require('webpack-hot-middleware')(compiler));

app.get('*', function(req, res) {
    res.sendFile(path.join(__dirname, "examples", "index.html"));
});

app.listen(3000, 'localhost', function(err) {
    if (err) {
        console.log(err);
        return;
    }

    console.log('Listening at http://localhost:3000');
});
