"use strict";

import React, { PropTypes } from "react";
import { tokenize, getLanguage } from "illuminate-js";

import Token from "./token";

let Illuminate = React.createClass({
    propTypes: {
        children: PropTypes.string.isRequired,
        lang: PropTypes.string.isRequired
    },
    highlight() {
        let { lang, children } = this.props,
            grammar = getLanguage(lang);

        if (grammar) {
            return tokenize(children, grammar);
        }

        return children;
    },
    render() {
        let { lang } = this.props;

        return (
            <pre className={`language-${lang}`}><code><Token token={this.highlight()}/></code></pre>
        );
    }
});

export default Illuminate;
